/*******************************************************************************
 * Copyright (c) 2012 Stephan Brosinski
 *
 * All rights reserved.
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v1.0 which accompanies this distribution,
 * and is available at http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *   Stephan Brosinski - initial API and implementation
 ******************************************************************************/

package org.eclipse.ui.regex.view.actions;

import org.eclipse.jface.action.Action;
import org.eclipse.jface.resource.ImageDescriptor;
import org.eclipse.ui.regex.RegExPlugin;
import org.eclipse.ui.regex.view.RegExView;

public class PrevMatchAction extends Action {
	private static ImageDescriptor image = RegExPlugin.getDefault().getImageDescriptor("backward_nav.gif");
	private RegExView view;

	public PrevMatchAction(RegExView regExView) {
		super("PrevMatchAction", image);
		view = regExView;
		setEnabled(false);
		setToolTipText("Show Previous Match");
	}

	@Override
	public void run() {
		view.selectPreviousMatch();
		view.updateFoundStatus();
	}

}
